import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/default_button.dart';
import 'package:syncrow_app/generated/assets.dart';

class NoDevicesView extends StatelessWidget {
  const NoDevicesView({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset(
            Assets.assetsImagesBoxEmpty,
            opacity: const AlwaysStoppedAnimation(0.5),
            scale: 1,
            width: 140,
          ),
          const SizedBox(height: 15),
          const Text(
            'No Devices',
            style: TextStyle(
              color: Colors.grey,
              fontSize: 18,
            ),
          ),
          const SizedBox(height: 15),
          const DefaultButton(
            child: Text(
              'Add Device',
            ),
          ),
        ],
      ),
    );
  }
}
